Debian Bug report logs - #588377
RFP: dwarf-fortress -- Slaves to Armok: God of Blood Chapter II: Dwarf Fortress-

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alex Denvir <coldfff@blueyonder.co.uk>

Date: Wed, 7 Jul 2010 20:30:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#588377; Package wnpp. (Wed, 07 Jul 2010 20:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Denvir <coldfff@blueyonder.co.uk>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 07 Jul 2010 20:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alex Denvir <coldfff@blueyonder.co.uk>
To: submit@bugs.debian.org
Subject: ITP: dwarf-fortress -- Slaves to Armok: God of Blood Chapter II: Dwarf Fortress-
Date: Wed, 7 Jul 2010 21:27:41 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: Alex Denvir <coldfff@blueyonder.co.uk>
Severity: wishlist

  Package name    : dwarf-fortress
  Version         : 0.31.08
  Upstream Author : Tarn Adams <toadyone@bay12games.com>
  URL             : http://www.bay12games.com/dwarves/
  License         : Proprietary
  Programming Lang: Binary Only
  Description     : Slaves to Armok: God of Blood Chapter II: Dwarf Fortress

Dwarf Fortress is a single-player fantasy game.
You can control a dwarven outpost or an adventurer in a randomly generated,
persistent world.

Losing Is Fun!
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>:
Bug#588377; Package wnpp. (Sat, 23 Oct 2010 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Baines <cbaines8@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>. (Sat, 23 Oct 2010 22:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 588377@bugs.debian.org (full text, mbox):

From: Chris Baines <cbaines8@gmail.com>
To: 588377@bugs.debian.org
Subject: Dwarf Fortress Package
Date: Sat, 23 Oct 2010 23:13:16 +0100
Hi Alex,

How is the Dwarf Fortress package coming along. I ask because I use to
play it a bit and am looking to start again, but I would like to
install it using a package instead of the tarball. I am also trying to
get better at packaging and could test your package (if you have the
beginnings of one) on my system to help sort out any errors.

Thanks,

Chris




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#588377; Package wnpp. (Thu, 28 Oct 2010 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Denvir <coldfff@blueyonder.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 28 Oct 2010 10:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 588377@bugs.debian.org (full text, mbox):

From: Alex Denvir <coldfff@blueyonder.co.uk>
To: Chris Baines <cbaines8@gmail.com>, 588377@bugs.debian.org
Subject: Re: Bug#588377: Dwarf Fortress Package
Date: Thu, 28 Oct 2010 11:44:52 +0100
[Message part 1 (text/plain, inline)]
Hi Chris,

The package is still coming along, and I am working on it every chance I
get.
I am hoping to have a package ready to submit within the next month.

I am currently using 31.08 as the base for packaging, but before I release I
will switch it to 31.16 and update this ITP as and when.

I'll be sure to get in touch when I am ready for testers.

Alex

On 23 October 2010 23:13, Chris Baines <cbaines8@gmail.com> wrote:

> Hi Alex,
>
> How is the Dwarf Fortress package coming along. I ask because I use to
> play it a bit and am looking to start again, but I would like to
> install it using a package instead of the tarball. I am also trying to
> get better at packaging and could test your package (if you have the
> beginnings of one) on my system to help sort out any errors.
>
> Thanks,
>
> Chris
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>:
Bug#588377; Package wnpp. (Thu, 31 Mar 2011 18:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 31 Mar 2011 18:24:09 GMT) Full text and rfc822 format available.


Message #20 received at 588377@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 588377@bugs.debian.org
Date: Fri, 1 Apr 2011 00:03:08 +0600
[Message part 1 (text/plain, inline)]
I want to offer any kind of help with DF packaging.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>:
Bug#588377; Package wnpp. (Tue, 03 May 2011 07:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernon, Rémi <remi.bernon+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>. (Tue, 03 May 2011 07:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 588377@bugs.debian.org (full text, mbox):

From: Bernon, Rémi <remi.bernon+debian@gmail.com>
To: 588377@bugs.debian.org
Date: Tue, 3 May 2011 08:56:00 +0200
[Message part 1 (text/plain, inline)]
Any news about DF packaging ? I can offer help if needed, I've done some
work on this on my side as well.

Remi
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#588377; Package wnpp. (Tue, 03 May 2011 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Denvir <coldfff@blueyonder.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 May 2011 08:42:05 GMT) Full text and rfc822 format available.

Message #30 received at 588377@bugs.debian.org (full text, mbox):

From: Alex Denvir <coldfff@blueyonder.co.uk>
To: 588377@bugs.debian.org, wrar@wrar.name, Bernon@busoni.debian.org, remi.bernon+debian@gmail.com
Subject: 588377: Update
Date: Tue, 3 May 2011 09:39:38 +0100
[Message part 1 (text/plain, inline)]
Just an update to everyone waiting for this.

Do not worry - this hasn't been forgotten or abandoned yet. Unfortunately I
have an issue getting this to work and keep it in line with the FHS.

I've had a chat with my mentor, and the course of action we've chose to take
(for now) is to talk to Tarn - hopefully we will be able to convince him to
help us here. The aim is to improve the linux release in general - currently
it still has a nasty sniff of afterthought about it.

This bug will be updated as and when we hear anything back.

Alex
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>:
Bug#588377; Package wnpp. (Tue, 03 May 2011 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernon, Rémi <remi.bernon+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>. (Tue, 03 May 2011 09:36:06 GMT) Full text and rfc822 format available.

Message #35 received at 588377@bugs.debian.org (full text, mbox):

From: Bernon, Rémi <remi.bernon+debian@gmail.com>
To: 588377@bugs.debian.org
Subject: Re: 588377: Update
Date: Tue, 3 May 2011 11:32:50 +0200
[Message part 1 (text/plain, inline)]
I'm not sure about what issue you are talking about, but when I tried to
package it myself, I wanted to use the same mechanism as other debian games
(ie: game data stored in /var/games), but this required to add setuid flag
to the graphical binary to have a neutral user owning these files, which is
in conflict with Debian guidelines.

I've solved this by using user-specific folders, in the XDG fashion (
http://standards.freedesktop.org/basedir-spec/latest/ar01s03.html), using
symlinks between shared game data (in /usr/share/games) and the XDG data
folder of the current user (~/.local/share) and chdir-ing to this folder
before starting the DF game. I've also started to add a "mod" mechanism to
allow easy graphic mod managment (default, mayday, ironhand, etc.), but it's
still in an experimental state.

If you are interested in it, my packaging code is available in the master
branch of : https://github.com/rout/dwarf-fortress, feel free to use
anything you find useful.

<https://github.com/rout/dwarf-fortress>I still had some issues with the SDL
32bit libraries that are not all available on amd64 arch, and I asked the
maintainer of the ia32-libs package if it would be possible to add them, but
without response so far. Have you solved this one, or are you packaging
these libraries with DF ?

Remi

On Tue, May 3, 2011 at 10:39, Alex Denvir <coldfff@blueyonder.co.uk> wrote:

> Just an update to everyone waiting for this.
>
> Do not worry - this hasn't been forgotten or abandoned yet. Unfortunately I
> have an issue getting this to work and keep it in line with the FHS.
>
> I've had a chat with my mentor, and the course of action we've chose to
> take (for now) is to talk to Tarn - hopefully we will be able to convince
> him to help us here. The aim is to improve the linux release in general -
> currently it still has a nasty sniff of afterthought about it.
>
> This bug will be updated as and when we hear anything back.
>
> Alex
>
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: dwarf-fortress -- Slaves to Armok: God of Blood Chapter II: Dwarf Fortress-' from 'ITP: dwarf-fortress -- Slaves to Armok: God of Blood Chapter II: Dwarf Fortress-' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:12:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>:
Bug#588377; Package wnpp. (Thu, 23 Feb 2012 18:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beren Minor <beren.minor+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>. (Thu, 23 Feb 2012 18:12:12 GMT) Full text and rfc822 format available.

Message #42 received at 588377@bugs.debian.org (full text, mbox):

From: Beren Minor <beren.minor+debian@gmail.com>
To: 588377@bugs.debian.org
Date: Thu, 23 Feb 2012 19:08:30 +0100
I would like to know what is the status of this ITP, as it has been
inactive for almost a year now.

I've uploaded packages on mentors.debian.net
(http://mentors.debian.net/package/dwarf-fortress and
http://mentors.debian.net/package/dwarf-fortress-mod-default),
 hoping to make things moving forward, but I do not want to
hijack any upcoming release.

I'm not a DM and I would definitely like to help if there is any need.
I don't see any showstopper not to have this game packaged, appart
from architecture and libraries issues (that I've temporary solved in
my packages using embed libraries until Debian has full support for
multi-arch).

Although the original game does not really respect any file system
standard, as mentionned in a comment above, this can also be
easily solved by setting the current folder before running the game to
an XDG_CACHE_HOME subfolder, with symlinks to XDG_CONFIG_HOME for game
config and XDG_DATA_HOME for game data (copied once from the system
game data in /usr/share, and updated as needed).

-- 
Beren Minor




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>:
Bug#588377; Package wnpp. (Mon, 27 May 2013 14:11:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alex Denvir <coldfff@blueyonder.co.uk>. (Mon, 27 May 2013 14:11:35 GMT) Full text and rfc822 format available.

Message #47 received at 588377@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 588377@bugs.debian.org
Cc: control@bugs.debian.org
Subject: dwarf-fortress: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:13 +0200
retitle 588377 RFP: dwarf-fortress -- Slaves to Armok: God of Blood Chapter II: Dwarf Fortress-
noowner 588377
tag 588377 - pending
thanks

Hi,

This is an automatic email to change the status of dwarf-fortress back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting dwarf-fortress, please send a mail to
<control@bugs.debian.org> with:

 retitle 588377 ITP: dwarf-fortress -- Slaves to Armok: God of Blood Chapter II: Dwarf Fortress-
 owner 588377 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <588377@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: dwarf-fortress -- Slaves to Armok: God of Blood Chapter II: Dwarf Fortress-' from 'ITP: dwarf-fortress -- Slaves to Armok: God of Blood Chapter II: Dwarf Fortress-' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:25:54 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Alex Denvir <coldfff@blueyonder.co.uk>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:25:54 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#588377; Package wnpp. (Mon, 02 Sep 2013 01:24:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Sep 2013 01:24:12 GMT) Full text and rfc822 format available.

Message #56 received at 588377@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: Beren Minor <beren.minor+debian@gmail.com>, 588377@bugs.debian.org
Subject: dwarf fortress debian package
Date: Sun, 1 Sep 2013 21:11:15 -0400
Hello Beren,
I'd like to check in to see the status of the package.The mentors link
is dead. Let me know if you're still interested in sponsorship.
~Scott



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#588377; Package wnpp. (Tue, 03 Sep 2013 09:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beren Minor <beren.minor+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 09:51:09 GMT) Full text and rfc822 format available.

Message #61 received at 588377@bugs.debian.org (full text, mbox):

From: Beren Minor <beren.minor+debian@gmail.com>
To: Scott Howard <showard314@gmail.com>
Cc: 588377@bugs.debian.org
Subject: Re: dwarf fortress debian package
Date: Tue, 3 Sep 2013 11:45:39 +0200
Hi,

I am indeed still interested in sponsorship for my dwarf-fortress package.
The mentor package - as well as my ITP - have been removed because of
lack of activity (and there were no upstream releases since last
upload) but the sources of the package is available on my GitHub
account [1]. I can re-upload the mentor package if you like.

BTW, I also have a GemRB package that requires sponsorship. I've
recently joined the Debian Games Team to maintain it, but I have
little time to chase sponsors. So, if you have some time to spend and
want to have a look at it, it would be awesome. The sources of the
package are in the pkg-games source repo [2].

[1] https://github.com/berenm/dwarf-fortress/tree/debian
[2] http://anonscm.debian.org/gitweb/?p=pkg-games/gemrb.git;a=summary
--
Beren Minor


On Mon, Sep 2, 2013 at 3:11 AM, Scott Howard <showard314@gmail.com> wrote:
> Hello Beren,
> I'd like to check in to see the status of the package.The mentors link
> is dead. Let me know if you're still interested in sponsorship.
> ~Scott



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:31:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.